
CoCoALib - Support #26

Redmine Administration

09 Nov 2011 12:04 - Anna Maria Bigatti

Status: In Progress Start date: 09 Nov 2011

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 80%

Category: Documentation Estimated time: 50.00 hours

Target version: CoCoALib-0.99900 Spent time: 26.95 hours

Description

All what is needed to learn Redmine, make it usable, test it ...

Related issues:

Related to CoCoA-5 - Support #1387: John's visit Feb 2020 Closed 07 Jan 2020

History

#1 - 09 Nov 2011 12:06 - Anna Maria Bigatti

- % Done changed from 10 to 30

#2 - 09 Nov 2011 12:06 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

#3 - 09 Nov 2011 12:07 - Anna Maria Bigatti

- % Done changed from 30 to 50

#4 - 09 Nov 2011 12:09 - Anna Maria Bigatti

- Category set to Administration

#5 - 09 Nov 2011 16:58 - John Abbott

- Subject changed from Redmine Administarion to Redmine Administration

#6 - 08 Jun 2012 17:59 - Anna Maria Bigatti

- Status changed from New to In Progress

If I understend well (but I think it is dangerous to test it) that we can have percentege set automatically based on status (new, in progress, resolved,

..).

After using redmine for some time I'd be inclined to set it that way, as it is tedious to keep it more meaningfully updated and we often forget to do it ;-)

Comments?

#7 - 08 Jun 2012 19:09 - John Abbott

JAA is not keen on such automatic methods.  We should try harder to be diligent about updating the percentages.  If we can't learn then we can

reconsider using the automatic method.

JAA thinks there is too much variation between the different tasks for some universal scheme to make much sense.

#8 - 28 Sep 2012 17:00 - Anna Maria Bigatti
To close a "version":

go to roadmap

select the version

top right corner (usually outside my narrow window..) there is "edit"

... easy when you know how...

#9 - 28 Mar 2013 17:11 - John Abbott

I'm not sure which version of redmine we are using, but a new stable release was announced just a week ago.  Should we update redmine itself? 

(well, ask Cartatone to do it :-)

The main risk is that something might stop working; then again not updating may also cause problems...

Opinions?

#10 - 28 Apr 2017 11:27 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoALib

- Category changed from Administration to Documentation

- Target version set to CoCoALib-1.0

This issue was under "CoCoA" instead of "CoCoALib".

I'm recovering these old and forgotten issues, so we reconsider them.

#11 - 26 Jan 2020 09:53 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99700

Should we close this issue?  Is it quite old, and I think we have learned to use redmine reasonably well.

According to the redmine website, new versions were made in December 2019.  Is there any point in updating our installation?

Perhaps we should ask Cartatone for his opinion?

I prefer to keep redmine fairly up-to-date in case there have been "security fixes".

The redmine website seems to show two versions being actively developed: 3.4.13 and 4.1.0

(maybe the version with a final 0 is a bit risky?)

#12 - 26 Jan 2020 09:53 - John Abbott

- Related to Support #1387: John's visit Feb 2020 added

#13 - 05 Feb 2020 13:47 - John Abbott

- % Done changed from 50 to 70

#14 - 13 Feb 2020 11:12 - John Abbott

- Priority changed from Normal to High

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800
- % Done changed from 70 to 80

It would be helpful to have a short "manual" for redmine which explains how to do some operations (e.g. create a new version).

Not urgent for this release; postponing (but with higher priority).

#15 - 05 Feb 2022 20:16 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

According to the message at the bottom of each screen in redmine, the version we are using is about 5 years ago.

We should seriously consider asking Cartatone to investigate updating to a more recent version.

#16 - 10 Feb 2022 13:29 - Anna Maria Bigatti

Remember to close (as "admin") the closed releases.  (I've just "closed" some old releases)

#17 - 09 Mar 2023 22:01 - John Abbott

Anna:  could you produce a short user-guide for redmine.

I think it will be useful for both of us!

Not sure where such a file should be stored...

#18 - 23 Feb 2024 10:59 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900
